Добро пожаловать в форум, Guest  >>   Войти | Регистрация | Поиск | Правила | В избранное | Подписаться
Все форумы / Oracle Новый топик    Ответить
 Вопрос по imp  [new]
amigaboy
Member [заблокирован]

Откуда: dark side of the moon
Сообщений: 5073
Получил дамп, экспортированный exp на 11м Оракле Linux x64. У меня стоит Solaris x64.

При попытке импорта:
imp system/manager file=file.dmp
Пишет IMP-00038. Подскажите куда копать.
1 сен 11, 18:06    [11214768]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
pravednik
Member

Откуда: Jacksonville, FL
Сообщений: 16268
Логи экспорта и импорта (заголовки, в которых есть упоминание кодировок) сохранились?
1 сен 11, 18:10    [11214788]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
amigaboy
Member [заблокирован]

Откуда: dark side of the moon
Сообщений: 5073
pravednik
Логи экспорта и импорта (заголовки, в которых есть упоминание кодировок) сохранились?

К, сожалению, нет. Отправил запрос сделать выборку из nls_database_parameters
1 сен 11, 18:11    [11214792]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
sergey.semka
Member

Откуда: Санкт-Петербург
Сообщений: 182
97% что это разница в версиях утилит IMP/EXP...
Например, дамп с 11 оракла пытаешься пихать в 10 оракл...
А еще даже 11.1 и 11.2 друг с другом не слишком дружат...
Обратной совместимости у них маловато...
Версии совпадают?

А еще, открой через FAR, например файлик свой .dmp...
и посмотри что там написано, что-то типа:

gEXPORT:V11.02.00
DSYSTEM
RTABLES
2048
0
64
0
ggg
В общем, версия Экспорта которой он был сделан указывается там...
Ну и у себя на компе где поднимаешь набери
imp.exe (или просто imp) - посмотри какая версия показывается?
C:\Users\semka>imp

Import: Release 11.2.0.1.0 - Production on Thu Sep 1 18:30:44 2011

Copyright (c) 1982, 2009, Oracle and/or its affiliates.  All rights reserved.

Username:
В идеале это должно совпадать... по крайне мере младше не должно быть!
Потому что неоднократно разные глюки видели...
1 сен 11, 18:35    [11214932]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
sergey.semka
Member

Откуда: Санкт-Петербург
Сообщений: 182
я вот просто вот такую штуку видел:
Is there an official matrix that clearly explain how export dump format done with a specific version, is or not compatible with all others?

I mean to fill this grid:

Exp done with version:     | 7  | 8i | 9i | 10g | 11g
Is compatible with Imp   7 |yes | no | no | no  | no 
                         8i|yes |yes | no | no  | no 
                         9i|yes |yes |yes | no  | no 
                        10g|yes |yes |yes | yes | no 
                        11g|yes |yes |yes | yes | yes 
I known there are many specific thinks between YES and NO.

I also need an Oracle official clear sentence like this: "Oracle will allways support back-ward compatibility for import any old export dump format"
Не знаю, на сколько она правильная... но что-то типа того...
А еще, с BLOB полями на утилитах 11.1 и 11.2 какие-то глюки проскакивали...
(когда версия не совпадает)
1 сен 11, 18:57    [11215037]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
pravednik
Member

Откуда: Jacksonville, FL
Сообщений: 16268
amigaboy
pravednik
Логи экспорта и импорта (заголовки, в которых есть упоминание кодировок) сохранились?

К, сожалению, нет. Отправил запрос сделать выборку из nls_database_parameters

Ну это как-бы может и не помочь, потому как важна также еще и кодировка клиента.
1 сен 11, 19:00    [11215049]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
amigaboy
Member [заблокирован]

Откуда: dark side of the moon
Сообщений: 5073
Вобщем на сервере стоит 11.2.0.1.0, а присланный файл с 11.2.0.2.0. Возможности поменять или проапгрейдить никакой нет.

Вешаться?
2 сен 11, 16:46    [11219990]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
semenar
Member

Откуда: Днепропетровск
Сообщений: 3308
Блог
amigaboy
Возможности поменять или проапгрейдить никакой нет.Вешаться?

Если нет возможности выполнить exp утилитой 11.2.0.1. то пожалуй нет.
2 сен 11, 17:09    [11220113]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
gosttttt
Guest
amigaboy,

попросить сделать нужный дамп

expdp VERSION=11.2.0.1.0
2 сен 11, 17:32    [11220232]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
roottm
Member

Откуда:
Сообщений: 23
Чтобы не плодить одинаковые темы, отпишу свою траблу:
система: линукс -оракл 11.2.0.1
Бэкап проходит без ошибок (exp или expdp) с параметром consistent=y
При разворачивании дампа командой imp или impdp (критичных ошибок не замечено)
В базе нет около 15 таблиц, в которых нет данных, но есть индексы.

Есть решение???
2 фев 12, 08:02    [12016581]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
Вячеслав Любомудров
Member

Откуда: Владивосток
Сообщений: 18484
roottm
критичных ошибок не замечено
А какие некритичные?
roottm
В базе нет около 15 таблиц
Deffered segment creation?
exp не видит "девственные" таблицы
roottm
в которых нет данных, но есть индексы.
Это как это?
2 фев 12, 08:12    [12016598]     Ответить | Цитировать Сообщить модератору
 Re: Вопрос по imp  [new]
roottm
Member

Откуда:
Сообщений: 23
Deffered segment creation?
exp не видит "девственные" таблицы

оно самое судя по топику "Таблицы над которыми не производилось операции INSERT, не экспортируются утилитой exp"
но и expdp также не экспортирует

испытаю данный вариант deferred_segment_creation = FALSE в spfile 10902477
2 фев 12, 08:29    [12016628]     Ответить | Цитировать Сообщить модератору
Все форумы / Oracle Ответить